Go

Pact Go的版本目前支持Pact v2规范,访问网站开始学习。

Go-Kit例子

Pact Go代码库中有一个详细的Go Kit 例子,介绍如何使用Pact去测试Go Kit微服务。

原生Go实现

还有一个Go版本的Pact(兼容pact v1.1),不需要运行一个守护进程。如果你不需要v2+的匹配以及运行守护进程,可以考虑使用或者为Pact Go贡献。

results matching ""

    No results matching ""